## org.apache.batik.apps.svgbrowser
Class NodePickerPanel.NodePickerEditListener

    java.lang.Object
      java.awt.event.FocusAdapter
          org.apache.batik.apps.svgbrowser.NodePickerPanel.NodePickerEditListener

All Implemented Interfaces:
  java.awt.event.FocusListener, java.util.EventListener

Enclosing class:
  NodePickerPanel

    protected class NodePickerPanel.NodePickerEditListener

extends java.awt.event.FocusAdapter

Manages the edits on focus events.

Constructor Summary
`protected` `NodePickerPanel.NodePickerEditListener()`

Method Summary
`void` `focusGained(java.awt.event.FocusEvent e)`

Methods inherited from class java.awt.event.FocusAdapter
`focusLost`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodePickerPanel.NodePickerEditListener

    protected NodePickerPanel.NodePickerEditListener()

Method Detail

### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`
  Overrides:
    `focusGained` in class `java.awt.event.FocusAdapter`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.